# RakNet::SQLite3PluginResultInterface Class Reference
[SQLite3Plugin]

Handles results of calls to SQLite3Plugin::_sqlite3_exec() Results from calling SQLite3Plugin::_sqlite3_exec() are handled in this callback. You should implement the callback, and let the plugin know about it via SQLite3Plugin::AddResultHandler() Be sure to call SQLite3Plugin::RemoveResultHandler() or SQLite3Plugin::ClearResultHandlers() if you delete the callback. More...

`#include <SQLite3ClientPlugin.h>`

Inheritance diagram for RakNet::SQLite3PluginResultInterface:

List of all members.

## Public Member Functions
virtual void | _sqlite3_exec (RakNet::RakString inputStatement, unsigned int queryId, RakNet::RakString dbIdentifier, const SQLite3Table &table, RakNet::RakString errorMsg)=0
virtual void | OnUnknownDBIdentifier (RakNet::RakString inputStatement, unsigned int queryId, RakNet::RakString dbIdentifier)=0

## Detailed Description

Handles results of calls to SQLite3Plugin::_sqlite3_exec() Results from calling SQLite3Plugin::_sqlite3_exec() are handled in this callback. You should implement the callback, and let the plugin know about it via SQLite3Plugin::AddResultHandler() Be sure to call SQLite3Plugin::RemoveResultHandler() or SQLite3Plugin::ClearResultHandlers() if you delete the callback.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/SQLite3Plugin/SQLite3ClientPlugin.h